flash/nor/spi: uniform all hex data to lowercase
[openocd.git] / bootstrap
index 7684dc4..8a3945e 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -1,13 +1,24 @@
-#!/bin/sh -e
+#!/bin/sh
 # Run the autotools bootstrap sequence to create the configure script
 
-if libtoolize --version >/dev/null 2>&1; then
-       libtoolize="libtoolize"
-elif glibtoolize --version >/dev/null 2>&1; then
-       libtoolize="glibtoolize"
+# Abort execution on error
+set -e
+
+if which libtoolize > /dev/null; then
+    libtoolize="libtoolize"
+elif which glibtoolize >/dev/null; then
+    libtoolize="glibtoolize"
 else
-       echo "libtool is required" >&2
-       exit 1
+    echo "$0: Error: libtool is required" >&2
+    exit 1
+fi
+
+if [ "$1" = "nosubmodule" ]; then
+    SKIP_SUBMODULE=1
+elif [ -n "$1" ]; then
+    echo "$0: Illegal argument $1"
+    echo "USAGE: $0 [nosubmodule]"
+    exit 1
 fi
 
 # bootstrap the autotools
@@ -23,4 +34,14 @@ automake --gnu --add-missing --copy
 # AM_MAINTAINER_MODE requires --enable-maintainer-mode from everyone using
 # current source snapshots (working from GIT, or some source snapshot, etc)
 # otherwise the documentation will fail to build due to missing version.texi
-echo "Bootstrap complete; you can './configure --enable-maintainer-mode ....'"
+
+if [ -n "$SKIP_SUBMODULE" ]; then
+    echo "Skipping submodule setup"
+else
+    echo "Setting up submodules"
+    git submodule init
+    git submodule update
+fi
+
+echo "Bootstrap complete. Quick build instructions:"
+echo "./configure --enable-maintainer-mode ...."